﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace WinApp
{
    using System.Drawing.Printing;
    using Telerik.Reporting;
    using Telerik.Reporting.Processing;

    public partial class Form0 : Form
    {
        public Form0()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            Form frm = new Form1();
            frm.ShowDialog();
        }

        private void button4_Click(object sender, EventArgs e)
        {

            using (PrintDialog printDlg = new PrintDialog())
            {
                printDlg.AllowSomePages = true;
                printDlg.AllowCurrentPage = false;
                printDlg.UseEXDialog = true;

                if (DialogResult.OK == printDlg.ShowDialog())
                {
                    ReportProcessor reportProcessor = new ReportProcessor();
                    reportProcessor.PrintReport(new Reports.Report1(), printDlg.PrinterSettings);
                }
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            ReportProcessor reportProcessor = new ReportProcessor();
            reportProcessor.PrintReport(new Reports.Report1(),
                new PrinterSettings());
        }

        private void button3_Click(object sender, EventArgs e)
        {
            PrinterSettings printerSettings = new PrinterSettings();
            printerSettings.PrinterName = "MyHomePrinter";
            ReportProcessor reportProcessor = new ReportProcessor();
            reportProcessor.PrintReport(new Reports.Report1(),
                printerSettings);
        }

        private void button5_Click(object sender, EventArgs e)
        {
            PrinterSettings printerSettings = new PrinterSettings();
            // Adjust the printer settings if necessary...
            // Create an instance of the standard print controller.
            PrintController printController = new StandardPrintController();

            // Print the report using the printer settings and the print controller.
            ReportProcessor reportProcessor = new ReportProcessor();
            reportProcessor.PrintController = printController;
            reportProcessor.PrintReport(new Reports.Report1(), printerSettings);
        }
    }
}